Name:       ibus-typing-booster
Version:    0.0.26
Release:    1%{?dist}
Summary:    A typing booster engine for the IBus platform
License:    GPLv3+
Group:      System Environment/Libraries
URL:        http://git.fedorahosted.org/git/?p=ibus-typing-booster.git
Source0:    https://fedorahosted.org/releases/i/b/ibus-typing-booster/%{name}-%{version}.tar.gz
Requires:   ibus
Requires:   libtranslit-m17n
BuildRequires:  ibus-devel,libtranslit-devel
Provides:   ibus-hunspell-table = %{version}-%{release}
Obsoletes:  ibus-hunspell-table <= 0.0.6-1.fc17
Provides:   ibus-hunspell-table = %{version}-%{release}
Obsoletes:  ibus-hunspell-table <= 0.0.8-2.fc18
Provides:   ibus-indic-table = %{version}-%{release}
Obsoletes:  ibus-indic-table <= 1.3.1-23.fc17
Provides:   ibus-european-table = %{version}-%{release}
Obsoletes:  ibus-european-table <= 1.1.6-1.fc17
Provides:   ibus-european-table = %{version}-%{release}
Obsoletes:  ibus-european-table <= 1.1.6-2.fc18
Provides:   english-typing-booster = %{version}-%{release}
Obsoletes:  english-typing-booster <= 0.0.2-1.fc17
Provides:   english-typing-booster = %{version}-%{release}
Obsoletes:  english-typing-booster <= 0.0.2-2.fc18
Provides:   bengali-typing-booster-inscript = %{version}-%{release}
Obsoletes:  bengali-typing-booster-inscript <= 0.9.0-2.fc17
Provides:   bengali-typing-booster-phonetic = %{version}-%{release}
Obsoletes:  bengali-typing-booster-phonetic <= 0.9.0-2.fc17
Provides:   bengali-typing-booster-probhat = %{version}-%{release}
Obsoletes:  bengali-typing-booster-probhat <= 0.9.0-2.fc17
Provides:   gujarati-typing-booster-inscript = %{version}-%{release}
Obsoletes:  gujarati-typing-booster-inscript <= 0.9.0-3.fc17
Provides:   gujarati-typing-booster-phonetic = %{version}-%{release}
Obsoletes:  gujarati-typing-booster-phonetic <= 0.9.0-3.fc17
Provides:   hindi-typing-booster-phonetic = %{version}-%{release}
Obsoletes:  hindi-typing-booster-phonetic <= 0.9.0-2.fc17
Provides:   hindi-typing-booster-inscript = %{version}-%{release}
Obsoletes:  hindi-typing-booster-inscript <= 0.9.0-2.fc17
Provides:   marathi-typing-booster-inscript = %{version}-%{release}
Obsoletes:  marathi-typing-booster-inscript <= 0.9.0-2.fc17
Provides:   marathi-typing-booster-phonetic = %{version}-%{release}
Obsoletes:  marathi-typing-booster-phonetic <= 0.9.0-2.fc17
Provides:   tamil-typing-booster-inscript = %{version}-%{release}
Obsoletes:  tamil-typing-booster-inscript <= 0.9.0-2.fc17
Provides:   tamil-typing-booster-99 = %{version}-%{release}
Obsoletes:  tamil-typing-booster-99 <= 0.9.0-2.fc17

BuildArch:  noarch

%description
The Typing Booster engine for IBus platform.

%prep
%setup -q


%build
%configure --disable-static --disable-additional
make %{?_smp_mflags}

%install 
make install DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true  INSTALL="install -p"   pkgconfigdir=%{_datadir}/pkgconfig

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README 
%{_datadir}/%{name}
%{_datadir}/ibus/component/typing-booster.xml
%{_libexecdir}/ibus-engine-typing-booster
%{_libexecdir}/ibus-setup-typing-booster
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/applications/ibus-setup-typing-booster.desktop

%changelog
* Thu Feb 14 2013 Mike FABIAN <mfabian@redhat.com> - 0.0.26-1
- Update to 0.0.26 upstream version
- Resolves: #910986 - The arrow icons at the bottom of the candidate lookup table of ibus-typing-booster do not work 
- Use different .svg icons for all engines
- Increase number of suggestions from hunspell
- Use the auxiliary text to display the number of candidates
- Make the display of the number of candidates in the auxiliary text optional
- Display of the number of candidates needs to be updated on page-up and page-down

* Tue Dec 18 2012 Mike FABIAN <mfabian@redhat.com> - 0.0.25-1
- Update to 0.0.25 upstream version
- Port to use pygobject3

* Thu Dec 06 2012 Mike FABIAN <mfabian@redhat.com> - 0.0.24-1
- Update to 0.0.24 upstream version
- Resolves: #884808 - ibus-typing-booster should also show candidates which correct spelling errors
- Use pyhunspell to add spell-checking suggestions
- Use underline for preedit
- Colourize spellchecking suggestions and system phrases already used

* Fri Nov 23 2012 Mike FABIAN <mfabian@redhat.com> - 0.0.23-1
- Update to 0.0.23 upstream version
- Resolves: #879261  dictionary is not automatically reloaded when it is installed via the setup tool
- Make the engine reload the dictionary when the dictionary is installed via the setup tool

* Wed Nov 14 2012 Mike FABIAN <mfabian@redhat.com> - 0.0.22-1
- Update to 0.0.22 upstream version
- Resolves: #876666 Properties of ibus-typing-booster to select input methods are not shown by gnome-shell in f18
- Make the engine use the input method from the dconf setting
- Add combobox to setup GUI to select input method
- Update German translation

* Thu Nov 12 2012 Mike FABIAN <mfabian@redhat.com> - 0.0.21-1
- Update to 0.0.21 upstream version
- Resolves: #875285 Shorten symbol displayed in gnome panel
- Add space before ( in long display name

* Thu Nov 08 2012 Mike FABIAN <mfabian@redhat.com> - 0.0.20-1
- Update to 0.0.20 upstream version
- Resolves: #874421
- Improve setup GUI to make correct dictionary installable (Resolves #874421)
- Add page size spin button to setup tool
- Connect signals in __init__ of SetupUI after setting the initial values
- Make the setup tool find the right config file in gnome-shell on Fedora 18
- Update German translation

* Tue Nov 06 2012 Mike FABIAN <mfabian@redhat.com> - 0.0.19-1
- Update to 0.0.19 upstream version
- fix rpmlint warning “incorrect-fsf-address”

* Wed Oct 31 2012 Mike FABIAN <mfabian@redhat.com> - 0.0.18-1
- Update to 0.0.18 upstream version
- Resolves: #871056
- Save setup option “Enable suggestions by Tab Key” correctly in dconf (Resolves: #871056)
- Make setup dialog translatable and add German translations

* Wed Oct 24 2012 Mike FABIAN <mfabian@redhat.com> - 0.0.16-1
- Update to 0.0.16 upstream version
- Resolves: #869687
- Make enabling the lookup table with the TAB key work correctly
- Simplify code in add_input()
- Make German input typed in NFD work

* Mon Oct 22 2012 Mike FABIAN <mfabian@redhat.com> - 0.0.15-1
- Update to 0.0.15 upstream version
- Resolves: #869050
- Make sure the lookup table is hidden if there are no candidates to suggest (#869050)

* Mon Oct 22 2012 Mike FABIAN <mfabian@redhat.com> - 0.0.14-1
- Update to 0.0.14 upstream version
- Show an obvious warning when the hunspell dictionary needed is not found
- Show exact matches in the .dic files as suggestions as well
- Do not forget the input method used last when activating a previously used engine
- Make spelling of the value of “symbol” in the .conf files more consistent
- include the file ru_RU.conf

* Thu Oct 18 2012 Mike FABIAN <mfabian@redhat.com> - 0.0.13-1
- Update to 0.0.13 upstream version, in 0.0.12 I forgot to
  include the file de_DE.conf

* Thu Oct 18 2012 Mike FABIAN <mfabian@redhat.com> - 0.0.12-1
- Update to 0.0.12 upstream version, in 0.0.11 I forgot to
  include the file keysym2ucs.py

* Thu Oct 18 2012 Mike FABIAN <mfabian@redhat.com> - 0.0.11-1
- Upstream has released 0.0.11 version containing the following
  improvements:
- Add .conf files for many languages and improve some existing .conf files
- Read other_ime option case insensitively
- Split only at the first = in a line in a .conf file
- Fix the problem that the user defined phrases are lost when switching engines
- use “layout = default” instead of “layout = us” in all .conf files
- Make sure the input of transliterate() is UTF-8 encoded
- Add a keysym2unichr() function and use it to support languages which have non Latin1 input
- Let first letter start with index 1 in autogenerated tabdict
- Use autogenerated tabdict always, not only in m17n mode
- Use special value 'NoIme' to indicate that no input method should be used
- Use contents of lang_chars for the regexp to match words in the dictionaries
- In process_key_event, do not return False when a non-ASCII character has been typed
- Read option valid_input_chars as UTF-8
- Use the encoding option from the .conf file always, not only in m17n mode
- Whether m17n mode is used should depend on the .conf file, not the language
- Use correct encoding to decode the dictionary file
- Some other minor fixes

* Thu Sep 26 2012 Anish Patil <apatil@redhat.com> - 0.0.10-1
- Upstream has released new version.

* Thu Sep 13 2012 Anish Patil <apatil@redhat.com> - 0.0.9-1
- Upstream has released new version.

* Tue Aug 14 2012 Anish Patil <apatil@redhat.com> - 0.0.8-1
- Upstream has released new version.

* Thu Jul 17 2012 Anish Patil <apatil@redhat.com> - 0.0.7-1
- The first version.
- derieved from ibus-table developed by Yu Yuwei <acevery@gmail.com>
